#pragma once
#include "afxwin.h"
#include "colorstatic.h"


// CDlg_Floors dialog

class CDlg_Floors : public CDialog
{
	DECLARE_DYNAMIC(CDlg_Floors)

public:
	CDlg_Floors(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_Floors();

// Dialog Data
	enum { IDD = IDD_FLOORS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();

	afx_msg void AddStringsToFloorsDlg();
	afx_msg void ReadPreviousInputsFromFloorsDlg();	
	afx_msg void ReadInputsFromFloorsDlg();	
	afx_msg void CheckFloorNameStrings();
	afx_msg void SelectStringsForFloorConstruction();

	DECLARE_MESSAGE_MAP()
public:
	CButton m_btnFloor1;
	CButton m_btnFloor2;
	CButton m_btnFloor3;
	CButton m_btnFloor4;
	CButton m_btnFloor5;
	CButton m_btnFloor6;
	CButton m_btnFloor7;
	CButton m_btnFloor8;
	CButton m_btnFloor9;
	CButton m_btnFloor10;
	CEdit m_editFloor1Name;
	CEdit m_editFloor2Name;
	CEdit m_editFloor3Name;
	CEdit m_editFloor4Name;
	CEdit m_editFloor5Name;
	CEdit m_editFloor6Name;
	CEdit m_editFloor7Name;
	CEdit m_editFloor8Name;
	CEdit m_editFloor9Name;
	CEdit m_editFloor10Name;
	CComboBox m_comboFloor1Type;
	CComboBox m_comboFloor2Type;
	CComboBox m_comboFloor3Type;
	CComboBox m_comboFloor4Type;
	CComboBox m_comboFloor5Type;
	CComboBox m_comboFloor6Type;
	CComboBox m_comboFloor7Type;
	CComboBox m_comboFloor8Type;
	CComboBox m_comboFloor9Type;
	CComboBox m_comboFloor10Type;
	CComboBox m_comboFloor1Construction;
	CComboBox m_comboFloor2Construction;
	CComboBox m_comboFloor3Construction;
	CComboBox m_comboFloor4Construction;
	CComboBox m_comboFloor5Construction;
	CComboBox m_comboFloor6Construction;
	CComboBox m_comboFloor7Construction;
	CComboBox m_comboFloor8Construction;
	CComboBox m_comboFloor9Construction;
	CComboBox m_comboFloor10Construction;
	CButton m_btnFloor1Sealed;
	CButton m_btnFloor2Sealed;
	CButton m_btnFloor3Sealed;
	CButton m_btnFloor4Sealed;
	CButton m_btnFloor5Sealed;
	CButton m_btnFloor6Sealed;
	CButton m_btnFloor7Sealed;
	CButton m_btnFloor8Sealed;
	CButton m_btnFloor9Sealed;
	CButton m_btnFloor10Sealed;
	CEdit m_editFloor1Area;
	CEdit m_editFloor2Area;
	CEdit m_editFloor3Area;
	CEdit m_editFloor4Area;
	CEdit m_editFloor5Area;
	CEdit m_editFloor6Area;
	CEdit m_editFloor7Area;
	CEdit m_editFloor8Area;
	CEdit m_editFloor9Area;
	CEdit m_editFloor10Area;
	CEdit m_editFloor1Uvalue;
	CEdit m_editFloor2Uvalue;
	CEdit m_editFloor3Uvalue;
	CEdit m_editFloor4Uvalue;
	CEdit m_editFloor5Uvalue;
	CEdit m_editFloor6Uvalue;
	CEdit m_editFloor7Uvalue;
	CEdit m_editFloor8Uvalue;
	CEdit m_editFloor9Uvalue;
	CEdit m_editFloor10Uvalue;
	CString str_editFloor1Name;
	CString str_editFloor2Name;
	CString str_editFloor3Name;
	CString str_editFloor4Name;
	CString str_editFloor5Name;
	CString str_editFloor6Name;
	CString str_editFloor7Name;
	CString str_editFloor8Name;
	CString str_editFloor9Name;
	CString str_editFloor10Name;
	CString str_comboFloor1Type;
	CString str_comboFloor2Type;
	CString str_comboFloor3Type;
	CString str_comboFloor4Type;
	CString str_comboFloor5Type;
	CString str_comboFloor6Type;
	CString str_comboFloor7Type;
	CString str_comboFloor8Type;
	CString str_comboFloor9Type;
	CString str_comboFloor10Type;
	CString str_comboFloor1Construction;
	CString str_comboFloor2Construction;
	CString str_comboFloor3Construction;
	CString str_comboFloor4Construction;
	CString str_comboFloor5Construction;
	CString str_comboFloor6Construction;
	CString str_comboFloor7Construction;
	CString str_comboFloor8Construction;
	CString str_comboFloor9Construction;
	CString str_comboFloor10Construction;
	CString str_editFloor1Area;
	CString str_editFloor2Area;
	CString str_editFloor3Area;
	CString str_editFloor4Area;
	CString str_editFloor5Area;
	CString str_editFloor6Area;
	CString str_editFloor7Area;
	CString str_editFloor8Area;
	CString str_editFloor9Area;
	CString str_editFloor10Area;
	CString str_editFloor1Uvalue;
	CString str_editFloor2Uvalue;
	CString str_editFloor3Uvalue;
	CString str_editFloor4Uvalue;
	CString str_editFloor5Uvalue;
	CString str_editFloor6Uvalue;
	CString str_editFloor7Uvalue;
	CString str_editFloor8Uvalue;
	CString str_editFloor9Uvalue;
	CString str_editFloor10Uvalue;
	CColorStatic m_labelHL;
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck13();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck15();
	afx_msg void OnBnClickedCheck16();
	afx_msg void OnBnClickedCheck17();
	afx_msg void OnBnClickedCheck19();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit18();
	afx_msg void OnEnChangeEdit21();
	afx_msg void OnEnChangeEdit25();
	afx_msg void OnEnChangeEdit28();
	afx_msg void OnEnChangeEdit31();
	afx_msg void OnEnChangeEdit34();
	afx_msg void OnEnChangeEdit37();
	afx_msg void OnEnChangeEdit40();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo12();
	afx_msg void OnCbnSelchangeCombo14();
	afx_msg void OnCbnSelchangeCombo16();
	afx_msg void OnCbnSelchangeCombo18();
	afx_msg void OnCbnSelchangeCombo20();
	afx_msg void OnCbnSelchangeCombo22();
	afx_msg void OnCbnSelchangeCombo24();
	afx_msg void OnCbnSelchangeCombo26();
	afx_msg void OnCbnSelchangeCombo3();
	afx_msg void OnCbnSelchangeCombo11();
	afx_msg void OnCbnSelchangeCombo13();
	afx_msg void OnCbnSelchangeCombo15();
	afx_msg void OnCbnSelchangeCombo17();
	afx_msg void OnCbnSelchangeCombo19();
	afx_msg void OnCbnSelchangeCombo21();
	afx_msg void OnCbnSelchangeCombo23();
	afx_msg void OnCbnSelchangeCombo25();
	afx_msg void OnCbnSelchangeCombo27();
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnBnClickedCheck4();
	afx_msg void OnBnClickedCheck6();
	afx_msg void OnBnClickedCheck7();
	afx_msg void OnBnClickedCheck14();
	afx_msg void OnBnClickedCheck10();
	afx_msg void OnBnClickedCheck11();
	afx_msg void OnBnClickedCheck12();
	afx_msg void OnBnClickedCheck18();
	afx_msg void OnBnClickedCheck20();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit19();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit26();
	afx_msg void OnEnChangeEdit29();
	afx_msg void OnEnChangeEdit32();
	afx_msg void OnEnChangeEdit35();
	afx_msg void OnEnChangeEdit38();
	afx_msg void OnEnChangeEdit41();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit27();
	afx_msg void OnEnChangeEdit30();
	afx_msg void OnEnChangeEdit33();
	afx_msg void OnEnChangeEdit36();
	afx_msg void OnEnChangeEdit39();
	afx_msg void OnEnChangeEdit42();
	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
};

